summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorEric Blake <eblake@redhat.com>2010-12-31 09:50:46 -0700
committerEric Blake <eblake@redhat.com>2010-12-31 09:50:46 -0700
commit6b3f52e94f88267abd918afe2204ac19f78a7093 (patch)
treeace915d21e08fe97f2a05a47967e73ab8907c1a0 /tests
parent278491d2cc3238b32a82a9460a0153607105d50d (diff)
downloadcoreutils-6b3f52e94f88267abd918afe2204ac19f78a7093.tar.xz
maint: update to latest gnulib, for testsuite improvement
* gnulib: Update to latest for init.sh fix. * bootstrap: Resync from gnulib. * tests/init.sh: Likewise.
Diffstat (limited to 'tests')
-rw-r--r--tests/init.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/tests/init.sh b/tests/init.sh
index 22ba23656..e537b6c67 100644
--- a/tests/init.sh
+++ b/tests/init.sh
@@ -245,6 +245,9 @@ find_exe_basenames_()
# below, just skip it.
test "x$feb_file_" = "x$feb_dir_/*.exe" && test ! -f "$feb_file_" \
&& continue
+ # Exempt [.exe, since we can't create a function by that name, yet
+ # we can't invoke [ by PATH search anyways due to shell builtins.
+ test "x$feb_file_" = "x$feb_dir_/[.exe" && continue
case $feb_file_ in
*[!-a-zA-Z/0-9_.+]*) feb_fail_=1; break;;
*) # Remove leading file name components as well as the .exe suffix.
@@ -272,7 +275,7 @@ create_exe_shims_()
esac
base_names_=`find_exe_basenames_ $1` \
- || { echo "$0 (exe_shim): skipping directory: $1" 1>&2; return 1; }
+ || { echo "$0 (exe_shim): skipping directory: $1" 1>&2; return 0; }
if test -n "$base_names_"; then
for base_ in $base_names_; do